Name:           async-http-client
Version:        1.7.8
Release:        %mkrel 2
Summary:        Asynchronous Http Client for Java

Group:          Development/Java
License:        ASL 2.0
URL:            https://github.com/AsyncHttpClient/%{name}
# git clone https://github.com/AsyncHttpClient/%{name}.git
# git archive --prefix="%{name}-%{version}/" --format=tar %{name}-%{version} | bzip2 >%{name}-%{version}.tar.bz2
Source0:        %{name}-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-release-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  sonatype-oss-parent
BuildRequires:  netty

Requires:       netty
Requires:       java >= 1:1.6.0


%description
Async Http Client library purpose is to allow Java applications to
easily execute HTTP requests and asynchronously process the HTTP
responses. The Async HTTP Client library is simple to use.


%package javadoc
Summary:   API documentation for %{name}
Group:     Documentation
Requires:  jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q

# Remove things for which we are missing dependencies
%pom_remove_plugin :clirr-maven-plugin
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-gitsite']]"
%pom_xpath_remove "pom:profiles/pom:profile[pom:id[text()='grizzly']]"

# Animal sniffer is causing more trouble than good
%pom_remove_plugin :animal-sniffer-maven-plugin


%build
# we don't have all test dependencies available so disable tests
mvn-rpmbuild -e \
        -Dmaven.test.skip=true \
        install javadoc:aggregate


%install

install -d -m 755 %{buildroot}%{_javadir}/
install -d -m 755 %{buildroot}%{_mavenpomdir}

install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 pom.xml %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap com.ning %{name} %{version} JPP %{name}

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc README.md LICENSE-2.0.txt
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%doc LICENSE-2.0.txt
%{_javadocdir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.7.8-2.mga3
+ Revision: 346490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.7.8-1.mga3
+ Revision: 326399
- New version

* Tue Sep 11 2012 dmorgan <dmorgan> 1.6.1-3.mga3
+ Revision: 292271
- BR maven-enforcer-plugin

* Wed Apr 27 2011 dmorgan <dmorgan> 1.6.1-2.mga1
+ Revision: 92254
- Rebuild after bootstrapping
- imported package async-http-client

